Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt
Enum QNativePointer.AutoDeleteMode

    java.lang.Object
      java.lang.Enum<QNativePointer.AutoDeleteMode>
          com.trolltech.qt.QNativePointer.AutoDeleteMode

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<QNativePointer.AutoDeleteMode>

Enclosing class:
  QNativePointer

    public static enum QNativePointer.AutoDeleteMode

extends java.lang.Enum<QNativePointer.AutoDeleteMode>

The AutoDeleteMode enum describes how garbage collection of the QNativePointer handles the deletion of the native pointer. By default, the mode is set to Delete or DeleteArray.

Enum Constant Summary
`Delete` The pointer is allocated with c++ `new`.
`DeleteArray` This must be the mode of deletion if the pointer is an array.
`Free` Free must be used if the pointer was allocated using c++ `free()`.
`None` Use this deletion mode if you do not want to delete the c++ pointer when the QNativePointer object is garbage collected.

Method Summary
`static QNativePointer.AutoDeleteMode` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static QNativePointer.AutoDeleteMode[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### Free

    public static final QNativePointer.AutoDeleteMode Free

  Free must be used if the pointer was allocated using c++ `free()`. Currently, no pointers in Qt Jambi is allocated in this manner.

### Delete

    public static final QNativePointer.AutoDeleteMode Delete

  The pointer is allocated with c++ `new`. This should be used for all pointers in Qt Jambi

### DeleteArray

    public static final QNativePointer.AutoDeleteMode DeleteArray

  This must be the mode of deletion if the pointer is an array.

### None

    public static final QNativePointer.AutoDeleteMode None

  Use this deletion mode if you do not want to delete the c++ pointer when the QNativePointer object is garbage collected.

Method Detail

### values

    public static final QNativePointer.AutoDeleteMode[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(QNativePointer.AutoDeleteMode c : QNativePointer.AutoDeleteMode.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static QNativePointer.AutoDeleteMode valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD